classification
Title: test_asyncio: test_popen() failed on AMD64 Windows8.1 Refleaks 3.9
Type: Stage: resolved
Components: asyncio Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, miss-islington, vstinner, yselivanov
Priority: normal Keywords: patch

Created on 2021-06-02 14:34 by vstinner, last changed 2021-06-22 09:08 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 26832 merged vstinner, 2021-06-21 15:55
PR 26841 merged miss-islington, 2021-06-21 23:58
PR 26842 merged miss-islington, 2021-06-21 23:58
Messages (4)
msg394915 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-06-02 14:34
AMD64 Windows8.1 Refleaks 3.9:
https://buildbot.python.org/all/#/builders/6/builds/31

2:16:22 load avg: 7.33 [364/425/2] test_asyncio crashed (Exit code 1) -- running: test_decimal (2 min 33 sec), test_dbm (2 min 53 sec), test_bufio (18 min 18 sec)
["test_asyncio", 0, 268.7466852, null]
beginning 6 repetitions
123456
D:\buildarea\3.9.ware-win81-release.refleak\build\lib\subprocess.py:1052: ResourceWarning: subprocess 2724 is still running
  _warn("subprocess %s is still running" % self.pid,
ResourceWarning: Enable tracemalloc to get the object allocation traceback
D:\buildarea\3.9.ware-win81-release.refleak\build\lib\asyncio\windows_utils.py:112: ResourceWarning: unclosed <PipeHandle handle=2008>
  _warn(f"unclosed {self!r}", ResourceWarning, source=self)
ResourceWarning: Enable tracemalloc to get the object allocation traceback
D:\buildarea\3.9.ware-win81-release.refleak\build\lib\asyncio\windows_utils.py:112: ResourceWarning: unclosed <PipeHandle handle=1364>
  _warn(f"unclosed {self!r}", ResourceWarning, source=self)
ResourceWarning: Enable tracemalloc to get the object allocation traceback
D:\buildarea\3.9.ware-win81-release.refleak\build\lib\asyncio\windows_utils.py:112: ResourceWarning: unclosed <PipeHandle handle=1968>
  _warn(f"unclosed {self!r}", ResourceWarning, source=self)
ResourceWarning: Enable tracemalloc to get the object allocation traceback
test test_asyncio failed -- Traceback (most recent call last):
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\test_asyncio\test_windows_utils.py", line 111, in test_popen
    self.assertEqual(res, _winapi.WAIT_OBJECT_0)
AssertionError: 258 != 0

Traceback (most recent call last):
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 906, in temp_dir
    yield path
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 958, in temp_cwd
    yield cwd_dir
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\libregrtest\main.py", line 638, in main
    self._main(tests, kwargs)
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\libregrtest\main.py", line 658, in _main
    run_tests_worker(self.ns, self.worker_test_name)
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\libregrtest\runtest_mp.py", line 86, in run_tests_worker
    sys.exit(0)
SystemExit: 0

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 329, in _force_run
    return func(*args)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'D:\\buildarea\\3.9.ware-win81-release.refleak\\build\\build\\test_python_6648�\\test_python_worker_1760�'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\runpy.py", line 197, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\regrtest.py", line 47, in <module>
    _main()
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\regrtest.py", line 43, in _main
    main()
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\libregrtest\main.py", line 716, in main
    Regrtest().main(tests=tests, **kwargs)
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\libregrtest\main.py", line 638, in main
    self._main(tests, kwargs)
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\contextlib.py", line 135, in __exit__
    self.gen.throw(type, value, traceback)
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 958, in temp_cwd
    yield cwd_dir
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\contextlib.py", line 135, in __exit__
    self.gen.throw(type, value, traceback)
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 911, in temp_dir
    rmtree(path)
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 452, in rmtree
    _rmtree(path)
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 393, in _rmtree
    _waitfor(lambda p: _force_run(p, os.rmdir, p), path)
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 340, in _waitfor
    func(pathname)
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 393, in <lambda>
    _waitfor(lambda p: _force_run(p, os.rmdir, p), path)
  File "D:\buildarea\3.9.ware-win81-release.refleak\build\lib\test\support\__init__.py", line 335, in _force_run
    return func(*args)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'D:\\buildarea\\3.9.ware-win81-release.refleak\\build\\build\\test_python_6648�\\test_python_worker_1760�'
msg396302 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-06-21 23:58
New changeset be1cb3214d09d4bf0288bc45f3c1f167f67e4514 by Victor Stinner in branch 'main':
bpo-44287: asyncio test_popen() uses longer timeout (GH-26832)
https://github.com/python/cpython/commit/be1cb3214d09d4bf0288bc45f3c1f167f67e4514
msg396303 - (view) Author: miss-islington (miss-islington) Date: 2021-06-22 00:22
New changeset c032a12cbb7d6e2d6a292b0e9220c33ef7349d28 by Miss Islington (bot) in branch '3.10':
bpo-44287: asyncio test_popen() uses longer timeout (GH-26832)
https://github.com/python/cpython/commit/c032a12cbb7d6e2d6a292b0e9220c33ef7349d28
msg396304 - (view) Author: miss-islington (miss-islington) Date: 2021-06-22 00:29
New changeset 0ff487b8abe70f091285acf367b795861eed8049 by Miss Islington (bot) in branch '3.9':
bpo-44287: asyncio test_popen() uses longer timeout (GH-26832)
https://github.com/python/cpython/commit/0ff487b8abe70f091285acf367b795861eed8049
History
Date User Action Args
2021-06-22 09:08:41vstinnersetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.10, Python 3.11
2021-06-22 00:29:25miss-islingtonsetmessages: + msg396304
2021-06-22 00:22:10miss-islingtonsetmessages: + msg396303
2021-06-21 23:58:39miss-islingtonsetpull_requests: + pull_request25423
2021-06-21 23:58:34miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request25422
2021-06-21 23:58:27vstinnersetmessages: + msg396302
2021-06-21 15:55:04vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request25413
2021-06-02 14:34:03vstinnercreate